observer_ptr File Reference
`#include <osg/Notify>`
`#include <osg/ref_ptr>`
`#include <osg/Observer>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`

Go to the source code of this file.

## Classes

class | osg::observer_ptr< T >

## Namespaces

namespace | osg

## Macros

#define | OSG_OBSERVER_PTR

## Macro Definition Documentation

## OSG_OBSERVER_PTR

#define OSG_OBSERVER_PTR